For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Detach knowledge item from agent

DELETE
https://app.resemble.ai/api/v2/agents/:agent_uuid/knowledge_items/:knowledge_item_uuid
DELETE
/api/v2/agents/:agent_uuid/knowledge_items/:knowledge_item_uuid
$curl -X DELETE https://app.resemble.ai/api/v2/agents/agent_uuid/knowledge_items/knowledge_item_uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "items": [
4 {}
5 ],
6 "message": "string"
7}
Removes a knowledge item from an agent
Was this page helpful?
Previous

Upload media securely

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"
The UUID of the agent
knowledge_item_uuidstringRequiredformat: "uuid"
The UUID of the knowledge item to detach

Response

Knowledge item detached successfully
successboolean
itemslist of objects
messagestring

Errors

404
Not Found Error
422
Unprocessable Entity Error